Console API
  1. Network ACLs
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
    • Create Project
    • Detail Project
    • Delete Project
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
        GET
      • Update a network ACL
        PATCH
      • Get a network ACL details
        GET
      • List all rule groups of a Network ACL
        GET
      • List all rules of a group (Network ACL)
        GET
      • Update a rule of a network ACL
        PUT
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Network ACLs

Update a rule of a network ACL

PUT
/api/v2/vmware/vpc/{vpc_id}/hpc/network-acls/{network_acl_id}/firewall-policies/{firewall_policy_id}/firewall-rules
Create a new rule or modify existing rules
Components of a Network ACL Rule:
*Priority: Rules are processed in ascending order by priority number. Once a rule matches the traffic, it is applied, even if higher-numbered priority rules conflict with it. The system automatically increments the priority number, but the user can change it as long as it does not duplicate an existing number.
*Type: Specifies the type of traffic, such as HTTP, HTTPS, or ALL.
Protocol: NACL supports TCP, UDP, ICMP, or any protocols.
*Port: The specific port of the traffic is targeted from 1 to 65535.
*Source: For inbound rules, this specifies the origin of the traffic (CIDR range).
*Destination: For outbound rules, this specifies the target of the traffic (CIDR range).
*Traffic Action: The specified traffic is permitted with Allow or Deny.

Request

Authorization
or
Path Params

Body Params application/json

Example
{
    "rules": [
        {
            "rule_number": 1,
            "type": "All",
            "protocol": "All",
            "port": "All",
            "traffic_action": "Allow",
            "source_cidr": "0.0.0.0/0"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/api/v2/vmware/vpc//hpc/network-acls//firewall-policies//firewall-rules' \
--header 'Content-Type: application/json' \
--data-raw '{
    "rules": [
        {
            "rule_number": 1,
            "type": "All",
            "protocol": "All",
            "port": "All",
            "traffic_action": "Allow",
            "source_cidr": "0.0.0.0/0"
        }
    ]
}'

Responses

🟢200OK
application/json
Successful response - Returns all rules of a Network ACL which have been updated.
Body

Example
{
    "data": [
        {
            "id": "b45468c2-8dae-4775-80a1-09660f3937ac",
            "rule_number": 1,
            "firewall_policy_id": "f828d29c-8207-4dbe-bd49-f2469785ed6f",
            "firewall_group_id": "6cf4d02c-dbe9-4586-879a-1297772b2968",
            "osp_firewall_rule_id": null,
            "type": "All",
            "protocol": "All",
            "port": "All",
            "source_cidr": "0.0.0.0/0",
            "destination_cidr": null,
            "traffic_action": "Allow",
            "is_default": null,
            "status": "Creating",
            "created_at": "2025-06-06T02:19:31.573417+00:00",
            "updated_at": "2025-06-06T02:19:31.573422+00:00"
        }
    ],
    "total": 1
}
Modified at 2025-08-29 09:30:18
Previous
List all rules of a group (Network ACL)
Next
List all public images
Built with